// $Id: CaptureDeviceInvalidException.java,v 1.2 2008/08/18 05:34:36 esmondpitt Exp $

/***************************************************************************
 * Copyright (C) 2001, Patrick Charles and Jonas Lehmann                   *
 * Distributed under the Mozilla Public License                            *
 *   http://www.mozilla.org/NPL/MPL-1.1.txt                                *
 ***************************************************************************/
package net.sourceforge.jpcap.capture;


/**
 * This exception occurs when the capture client tries to 
 * specify a capture device that does not exist or if the capture
 * device specified is illegal.
 *
 * @author Patrick Charles and Jonas Lehmann
 * @version $Revision: 1.2 $
 * @lastModifiedBy $Author: esmondpitt $
 * @lastModifiedAt $Date: 2008/08/18 05:34:36 $
 */
public class CaptureDeviceInvalidException extends JpcapException
{
  /**
   * Create a new invalid capture device exception.
   */
  public CaptureDeviceInvalidException(String message) { 
    super(message);
  }


  private static final String _rcsId = 
    "$Id: CaptureDeviceInvalidException.java,v 1.2 2008/08/18 05:34:36 esmondpitt Exp $";
}
