// $Id: CapturePacketException.java,v 1.2 2008/08/18 05:34:36 esmondpitt Exp $

/***************************************************************************
 * Copyright (C) 2001, Patrick Charles and Jonas Lehmann                   *
 * Distributed under the Mozilla Public License                            *
 *   http://www.mozilla.org/NPL/MPL-1.1.txt                                *
 ***************************************************************************/
package net.sourceforge.jpcap.capture;


/**
 * This exception occurs when an error occurs while capturing data.
 *
 * @author Patrick Charles and Jonas Lehmann
 * @version $Revision: 1.2 $
 * @lastModifiedBy $Author: esmondpitt $
 * @lastModifiedAt $Date: 2008/08/18 05:34:36 $
 */
public class CapturePacketException extends JpcapException
{
  /**
   * Create a new invalid capture device exception.
   */
  public CapturePacketException(String message) { 
    super(message);
  }

  /**
   * Create a new invalid capture device exception.
   */
  public CapturePacketException(Throwable detail) { 
    super(detail);
  }


  private static final String _rcsId = 
    "$Id: CapturePacketException.java,v 1.2 2008/08/18 05:34:36 esmondpitt Exp $";
}
